#!/bin/sh

[ -z "$HostMP3" ] && HostMP3=localhost
[ -z "$PortMP3" ] && PortMP3=1111

Query=`echo $q | sed "s/ /|/g"`

[ ! -f $FicMP3 ] && echo >&2 "$FicMP3 not found" && exit 1

echo "<h1>Result search for \"$q\" :</h1>"

set -- $q
NombreMots=$#

AncienScore=0

egrep -i "$Query" $FicMP3 | tee /tmp/NbFic |
while read ligne
do
    Count=0
    for mot in $@
    do
        echo "$ligne" | grep -i "$mot" > /dev/null && Count=`expr $Count + 1`
    done
    echo "$Count $ligne"
done | sort -rn | uniq |
while read ligne
do
    set -- $ligne
    Score=`expr $1 \* 100 / $NombreMots`
    [ $AncienScore -ne $Score ] && echo "<br>
<b>Score : $Score % ($1/$NombreMots)</b><br>" && AncienScore=$Score
    Fic=`echo "$ligne" | sed "s/^[0-9]* *//"`
    echo -n "<a href=\"http://$HostMP3:$PortMP3/`echo $Fic| tr '[\200-\300]' '*'`\">"
    echo "$Fic" | tr '[\200-\300]' '*'
    echo "</a>"
done

echo "<p>`cat /tmp/NbFic | wc -l` file(s) found"
rm -f /tmp/NbFic

